package it.integry.integrywmsnative.core.coollection.matcher.custom;

import it.integry.integrywmsnative.core.coollection.matcher.Matcher;

public class Not implements Matcher {

  private final Matcher matcher;

  public Not(Matcher matcher) {
    this.matcher = matcher;
  }

  @Override
  public boolean match(Object value) {
    return !matcher.match(value);
  }

}
